- Reference (v1)
- Navigation
- Get meta menu items
Version: API v1
Get meta menu items
GET/v1/menu-meta
API version
v1
Request method
GET
Operation ID
getNavigationMeta
Get the meta for the menu of the customer login
Request
- skipCacheboolean
Don't get any values from cache.
Responses
Format
application/json
Description
The menu result
- errorsarray of objectrequired
- Array[
- *object
- accountstringrequired
- namestringrequired
- usagePercentnumber
- hexCodestring
]
- warningsarray of objectrequired
- Array[
- *object
- accountstringrequired
- namestringrequired
- usagePercentnumber
- hexCodestring
]
Content-Type: application/json
{
"errors": [
{
"account": "string",
"name": "string",
"usagePercent": 123,
"hexCode": "string"
}
],
"warnings": [
{
"account": "string",
"name": "string",
"usagePercent": 123,
"hexCode": "string"
}
]
}
{
"type": "object",
"required": [
"errors",
"warnings"
],
"properties": {
"errors": {
"type": "array",
"items": {
"type": "object",
"required": [
"account",
"name"
],
"properties": {
"account": {
"type": "string"
},
"name": {
"type": "string"
},
"usagePercent": {
"type": "number"
},
"hexCode": {
"type": "string"
}
}
}
},
"warnings": {
"type": "array",
"items": {
"type": "object",
"required": [
"account",
"name"
],
"properties": {
"account": {
"type": "string"
},
"name": {
"type": "string"
},
"usagePercent": {
"type": "number"
},
"hexCode": {
"type": "string"
}
}
}
}
}
}
Format
application/json
Description
General error.
- messagestring
Content-Type: application/json
{
"message": "string"
}
{
"title": "Message",
"type": "object",
"properties": {
"message": {
"type": "string"
}
}
}
Usage examples
$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v1/menu-meta?skipCache=true